%global drupalver 7
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal7"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname menu_token

Name:    drupal%{drupalver}-%{modname}
Version: 1.0
Release: 0.1.alpha3%{?dist}
Summary: Menu Token module provides tokens, that could be used in title or path
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}-alpha3.tar.gz
Source1: %{name}-fedora-README.txt
Source2: %{name}-LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 7.0

%description
Menu Token module provides tokens, that could be used in title or in path
of menu items (links). For example, if you create menu item with path:
"user/[current-user:uid]", the url will be changed "on fly" to: "user/1"
(assuming you are user 1).

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} ./LICENSE.txt

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupaldir}/modules/%{modname}/'{}' \;


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc LICENSE.txt %{name}-fedora-README.txt
# Remember to exclude all documentation texts from above
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%{drupaldir}/modules/%{modname}

%changelog
* Tue Oct 4 2011 Scott Dodson <sdodson@redhat.com> - 1.0-0.1.alpha3
- Initial Drupal 7 Package
